MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007723Community[OCCT] OCCT:Modeling Algorithmspublic2005-01-13 17:452011-11-23 18:01
Reporterabv 
Assigned Tojgv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.2.3 
Summary0007723: Operator precedence in Correct_Wire
DescriptionThis bug has been reported by Christian R. Krug on OCC Forum, see thread 7288:
http://www.opencascade.org/org/forum/thread_7288 [^]

----------

I found some errors in Correct_Wire.cxx concerning operator precedence.

Instead of

if(ptr[i].State() | 32 ==0) { (line 342)
if(ptr[bef].State() | 32 ==0) { (lines 346 and 350)
if(ptr[i].State() | 16 == 0) return; (lines 874 and 988)

it should read

if((ptr[i].State() | 32) == 0)
if((ptr[bef].State() | 32) == 0) {
if((ptr[i].State() | 16) == 0) return;

With kind regards, Kris
Additional information
and documentation updates
Documentation remark, added by jgv 2005-02-07 09:20:44:

Changes:
Some errors in Correct_Wire.cxx concerning operator precedence have been
eliminated.
TagsNo tags attached.
Test case number
Attached Filesgz file icon jgv-OCC7723.tar.gz (10,301 bytes) 2005-01-21 11:58

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2005-01-17 08:59 bugmaster Status closed => assigned
2005-01-17 08:59 bugmaster Resolution suspended => @0@
2005-01-17 08:59 bugmaster Assigned To bugmaster => mkk
2005-01-21 10:09 mkk Assigned To mkk => jgv
2005-01-26 10:41 apv CC => apv, aki
2005-02-07 17:09 bugmaster Status assigned => tested
2005-02-14 10:10 bugmaster Status tested => verified
2005-05-06 15:24 bugmaster Status verified => closed
2005-05-06 15:24 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-23 18:01 szy Description Updated View Revisions
2011-11-23 18:01 szy Additional Information Updated View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker